#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv)
{
  struct V1 {
    unsigned char start_lsb;
    unsigned char start_hsb;
    unsigned char start_xsb;
    unsigned char length_lsb;
    unsigned char length_hsb;
  } v1;
  unsigned short crc;
  unsigned char data[0x10000];
  unsigned char version = 1;

  while (!feof(stdin)) {
    if (fread(&v1.start_lsb, sizeof(struct V1), 1, stdin) != 1 )
      return 0;
    fread(data, v1.length_lsb+(v1.length_hsb<<8)+1, 1, stdin);
    fread(&crc, 2, 1, stdin);

    fwrite(&version, 1, 1, stdout);
    fwrite(&v1.start_lsb, sizeof(struct V1), 1, stdout);
    fwrite(&crc, 2, 1, stdout);
    fwrite(data, v1.length_lsb+(v1.length_hsb<<8)+1, 1, stdout);
  }

  return 0;
}
